import {MedataSearchInput} from "app/shared/model/metadata-search-input.model";
import {FulltextSearchSelection} from "app/shared/model/fulltext-search-selection.model";

export class SearchInput {

  public fulltextQuery: string;
  public fulltextSelection: FulltextSearchSelection;
  public metadata: MedataSearchInput;
  public page: number;

  public constructor() {
    this.fulltextQuery = '';
    this.fulltextSelection = new FulltextSearchSelection();
    this.metadata = new MedataSearchInput();
    this.page = 1;
  }

  setValues(value: Record<string, any>): void {
    this.fulltextQuery = value.searchText;
    this.page = value.page;
    this.metadata.programmingLanguage = value.programmingLanguage;
    this.metadata.keywords = value.keywords;
    this.metadata.author = value.author;
    this.metadata.license = value.license;
  }
}
